% Gram-Schmidt (para las columnas de A)
A = [3,9; 6,4; 2,-1];

%A = ones(3,2);

n = size(A,2);
Q = A; % iniciar Q

Q(:,1) = A(:,1)/norm(A(:,1));

for k = 2:n
    u_k = A(:,k);
    for j = 1:k-1
        u_k = u_k - (Q(:,j)'*A(:,k))*Q(:,j);
    end
    Q(:,k) = u_k/norm(u_k);
end

Q
orth(A)